Public Member Functions | Public Attributes | List of all members
RagTime5LayoutInternal::State Struct Reference

Internal: the state of a RagTime5Layout. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_numPages
| the number of pages More...
std::map< int, shared_ptr< ClusterLayout > > | m_idLayoutMap
| map data id to text zone More...
std::set< int > | m_masterIdSet
| the list of master id More...
std::vector< int > | m_layoutIdToSendList
| the list of layout to send More...

## Detailed Description

Internal: the state of a RagTime5Layout.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5LayoutInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idLayoutMap

std::map<int, shared_ptr<ClusterLayout> > RagTime5LayoutInternal::State::m_idLayoutMap

map data id to text zone

## ◆ m_layoutIdToSendList

std::vector<int> RagTime5LayoutInternal::State::m_layoutIdToSendList

the list of layout to send

## ◆ m_masterIdSet

std::set<int> RagTime5LayoutInternal::State::m_masterIdSet

the list of master id

## ◆ m_numPages

int RagTime5LayoutInternal::State::m_numPages

the number of pages

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx